# "fix" underlinking:
%define _disable_ld_no_undefined 1

%global srcname graphics

Name:           ocaml-%{srcname}
Version:        5.1.2
Release:        %mkrel 4
Summary:        Portable drawing primitives for OCaml

Group:	Development/OCaml
License:        LGPLv2 with exceptions
URL:            https://github.com/ocaml/graphics
Source0:        %{url}/releases/download/%{version}/%{srcname}-%{version}.tbz

BuildRequires:  ocaml >= 4.09.0
BuildRequires:  ocaml-dune-devel >= 2.1
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(x11)

%description
The graphics library provides a set of portable drawing primitives.
Drawing takes place in a separate window that is created when
Graphics.open_graph is called.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig(x11)

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains developer documentation for
%{name}.

%prep
%autosetup -n %{srcname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel

%files doc
%license LICENSE
%doc examples


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 5.1.2-4.mga10
+ Revision: 2250747
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 pterjan <pterjan> 5.1.2-3.mga10
+ Revision: 2173726
- Rebuild for ocaml 5.3.0

* Sat May 21 2022 pterjan <pterjan> 5.1.2-2.mga9
+ Revision: 1859613
- Rebuild for OCaml 4.14

* Fri Oct 15 2021 tv <tv> 5.1.2-1.mga9
+ Revision: 1751652
- imported package ocaml-graphics


* Mon Oct 04 2021 Richard W.M. Jones <rjones@redhat.com> - 5.1.2-3
- OCaml 4.13.1 build
- Add build dependency on ocaml-result.

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Jerry James <loganjerry@gmail.com> - 5.1.2-1
- There is no circular dependency, so always builds docs

* Tue May 25 2021 Jerry James <loganjerry@gmail.com> - 5.1.2-1
- Version 5.1.2

* Mon Mar  1 17:17:56 GMT 2021 Richard W.M. Jones <rjones@redhat.com> - 5.1.1-2
- OCaml 4.12.0 build
- Make ocaml-odoc build dependency conditional.

* Tue Feb  2 2021 Jerry James <loganjerry@gmail.com> - 5.1.1-1
- Version 5.1.1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan  4 2021 Jerry James <loganjerry@gmail.com> - 5.1.0-1
- Initial RPM
